<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador || isFuncionario || isDisenador">
        <mat-toolbar>
            <span>Mis Tareas</span>

            <div class="example-spacer"></div>

            <!-- <button mat-raised-button color="primary" routerLink="/nuevoTareas">Agregar</button> -->
        </mat-toolbar>

        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>


        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>

                <!-- Weight Column -->
                <ng-container matColumnDef="id_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID Tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_tarea}} </td>
                </ng-container>

                <!-- Position Column -->
                <ng-container matColumnDef="fecha_asignacion">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> fecha asignacion </th>
                    <td mat-cell *matCellDef="let element"> {{element.fecha_asignacion}} </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="fecha_plazo">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> fecha_plazo </th>
                    <td mat-cell *matCellDef="let element"> {{element.fecha_plazo}} </td>
                </ng-container>

                <ng-container matColumnDef="nombre_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.tarea.nombre_tarea}} </td>
                </ng-container>


                <ng-container matColumnDef="nombre_estado" id="miEstado">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Estado Tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.estadoTarea.nombre_estado}} </td>
                </ng-container>
                
                
                <ng-container matColumnDef="indicador">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Indicador </th>
                    <td mat-cell *matCellDef="let element">
                        <mat-progress-bar mode="determinate" [value]="progress(element.id_estado_tarea)"></mat-progress-bar>
                    </td>

                </ng-container>                
                
                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">

                        <a class="pointer" matTooltip="Agregar Subtarea"
                            (click)="crearSubTarea(element.id_tarea_empleado)">
                            <mat-icon color="primary">library_add</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="editarTarea(element.id_tarea_empleado)" matTooltip="Editar Estado">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="listarSubTareas(element.id_tarea_empleado)"
                            matTooltip="Listar SubTareas">
                            <mat-icon> format_list_numbered</mat-icon>
                        </a>

                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>

    </ng-container>
    


</div>